> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a certificate



## OpenAPI

````yaml /uapi.yaml post /certs/request
openapi: 3.1.0
info:
  version: 0.0.1
  title: User management API
  description: This API is for managing organization members and builders for the Sutro API
servers: []
security: []
tags:
  - name: configuration
    description: Configuration of the platform for your members and builders
  - name: members
    description: >-
      Members are the individuals that a Customer wants to provide with access
      to the Sutro Console
  - name: builders
    description: >-
      Builders are a Customer's users; they are the ones who are building apps
      with a Customer's platform
  - name: certificates
    description: >-
      Certificates are use for signing & verifying access tokens, as well as for
      securing mTLS connections
  - name: api_clients
    description: API Clients must be registered and associated with an mTLS certificate
paths:
  /certs/request:
    post:
      tags:
        - certificates
      summary: Request a certificate
      operationId: requestCertificate
      requestBody:
        $ref: '#/components/requestBodies/CertificateRequest'
      responses:
        '201':
          $ref: '#/components/responses/CertificateRequest'
        '400':
          description: There's a problem with the Request
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                  description: An error message associated with the request
components:
  requestBodies:
    CertificateRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CertificateFields'
  responses:
    CertificateRequest:
      description: The result of a certificate request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CertificateRequestResponse'
  schemas:
    CertificateFields:
      type: object
      required:
        - commonName
      properties:
        countryName:
          description: >
            A two-character country code that follows ISO-3166; this is added to
            the certificate that we generate for you.


            See https://www.ssl.com/country-codes/ for a list of supported
            values.
          default: US
          type: string
          pattern: '[A-Z]{2}'
        organizationName:
          description: >
            This is an optional field that can be added to the certificate that
            we generate for you that indicates the name of your organization.
          type: string
        commonName:
          description: >
            The Common Name (CN) field for the TLS certificate that we will
            generate for you


            We recommend a useful short name, such as "mTLS certificate for
            communication with Sutro"; this will help you identify this
            Certificate's

            purpose in your secure storage system.
          type: string
    CertificateRequestResponse:
      type: object
      required:
        - certificate
        - privateKey
      properties:
        certificate:
          $ref: '#/components/schemas/Certificate'
        privateKey:
          description: >
            The private key that can be used for signing JWTs and securing
            requests. 


            This will only be provided this one time, so it should be stored
            somewhere securely
          type: string
    Certificate:
      type: object
      required:
        - id
        - issuerName
        - subjectName
        - valid
        - content
        - customerId
        - sha1Fingerprint
      properties:
        id:
          type: string
          format: uuid
        issuerName:
          type: string
        subjectName:
          type: string
        valid:
          type: object
          required:
            - before
          properties:
            before:
              type: string
              format: date-time
            after:
              type: string
              format: date-time
        content:
          type: string
        customerId:
          type: string
          format: uuid
        sha1Fingerprint:
          type: string

````